<?php

namespace Myriad\Authentication\Http\Controllers;

use Illuminate\Contracts\Auth\Guard;
use Illuminate\Routing\Controller;
use League\Fractal\Manager;
use League\Fractal\Resource\Item;
use Myriad\Authentication\Http\Transformers\IUserTransformer;

class UserController extends Controller
{

    public function me(
      Guard $guard,
      IUserTransformer $transformer,
      Manager $fractal
    ) {
        $resource = new Item($guard->user(), $transformer);

        return $fractal->createData($resource)->toArray();
    }

}
