Feature: Register user with email and password via installation
  In order to use the system
  As a User
  I need to register with the system using my email address and a password from my installation

  Scenario: Successful Registration from installation
    Given there are no users in the system
    And my installation already exists in the system
    When I submit a valid registration
    And I obtain the auth code from my email
    And I verify my auth code
    Then the response should contain an access token and its expiration
