<?php

namespace Myriad\Authentication\Lib\Events;

use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Queue\SerializesModels;
use Myriad\Authentication\Models\UserEmail;

class UserRegisteredWithEmail
{

    use SerializesModels;

    public $user;
    public $userEmail;

    public function __construct(Authenticatable $user, UserEmail $userEmail)
    {
        $this->userEmail = $userEmail;
        $this->user = $user;
    }

}
